---
title: AnimationEffect.getTiming()
slug: Web/API/AnimationEffect/getTiming
tags:
  - API
  - Animation
  - Method
  - Reference
  - Timing
  - waapi
  - web animations api
---
<p>{{ SeeCompatTable() }}{{ APIRef("Web Animations API") }}</p>

<p>The <code>AnimationEffect.getTiming()</code> method of the {{domxref("AnimationEffect")}} interface returns an {{domxref("EffectTiming")}} object containing the timing properties for the Animation Effect.</p>

<h2 id="Syntax">Syntax</h2>

<div class="syntaxbox">
<pre class="brush: js notranslate">animationTiming = animation.getTiming();</pre>
</div>

<h3 id="Returns">Returns</h3>

<p>An {{domxref("EffectTiming")}} object.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Animations', '#dom-animationeffect-gettiming', 'AnimationEffect.getTiming()' )}}</td>
   <td>{{Spec2('Web Animations')}}</td>
   <td>Editor's draft.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.AnimationEffect.getTiming")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Web_Animations_API">Web Animations API</a></li>
 <li>{{domxref("AnimationEffect")}}</li>
 <li>{{domxref("EffectTiming")}}</li>
</ul>
